package com.zm.order.tool.server.log;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.MappingJsonFactory;
import net.logstash.logback.decorate.JsonFactoryDecorator;

/**
 * create by WG on 2019/8/22 17:36
 *
 * @author WangGang
 */
public class MyJsonFactoryDecorator implements JsonFactoryDecorator {

	@Override
	public MappingJsonFactory decorate(MappingJsonFactory factory) {
		// 禁用对非ascii码进行escape编码的特性
		factory.disable(JsonGenerator.Feature.IGNORE_UNKNOWN);
		return factory;
	}

}
